<?php

	session_start();

	define('VALID_RUN', true);

	// Устанавливаем кодировку
	header("Content-type:text/html; charset=utf-8");
    mb_internal_encoding('UTF-8');

	// Подключаем автозагрузчик классов
	require_once 'system/config/autoload.php';

    // Устанавливаем обработчик автозагрузки классов
    spl_autoload_register('autoLoadCoreClass');

	// Инициализируем конфиг
	$config = cmsConfig::getInstance();

    // Загружаем локализацию
    cmsCore::loadLanguage();

    if ($config->emulate_lag) { usleep(350000); }

    // Устанавливаем часовую зону
    date_default_timezone_set( $config->time_zone );

    // Инициализируем ядро и шаблонизатор
    $core = cmsCore::getInstance();
    $template = cmsTemplate::getInstance();

    // Подключаем все необходимые классы и библиотеки
	cmsCore::loadLib('html.helper');
	cmsCore::loadLib('strings.helper');
	cmsCore::loadLib('files.helper');

    // Запускаем кеш
    cmsCache::getInstance()->start();

    // Подключаем базу
    $core->connectDB();

    //Запускаем роутинг и контроллер
    $core->route($_SERVER['REQUEST_URI']);
	$core->runController();
    $core->runWidgets();

    //Выводим готовую страницу
    $template->renderPage();

    // Останавливаем кеш
    cmsCache::getInstance()->stop();
