<?php
class modelActivity extends cmsModel{

    public function addType($type){

        return $this->insert('activity_types', $type);

    }

    public function updateType($id, $type){

        return $this->update('activity_types', $id, $type);

    }

    public function getType($controller, $name){

        return $this->
                    filterEqual('controller', $controller)->
                    filterEqual('name', $name)->
                    getItem('activity_types');

    }

    public function deleteType($controller, $name){

        return $this->
                    filterEqual('controller', $controller)->
                    filterEqual('name', $name)->
                    deleteFiltered('activity_types');

    }

//============================================================================//
//============================================================================//

    public function addEntry($entry){

        return $this->insert('activity', $entry);

    }

    public function updateEntry($type_id, $subject_id, $entry){

        return $this->
                    filterEqual('type_id', $type_id)->
                    filterEqual('subject_id', $subject_id)->
                    updateFiltered('activity', $entry);

    }

    public function deleteEntry($type_id, $subject_id){

        return $this->
                    filterEqual('type_id', $type_id)->
                    filterEqual('subject_id', $subject_id)->
                    deleteFiltered('activity');

    }

//============================================================================//
//============================================================================//

    public function getEntriesCount(){

        return $this->getCount('activity');

    }

    public function getEntries(){

        $this->select('u.nickname', 'user_nickname');
        $this->select('u.avatar', 'user_avatar');
        $this->join('{users}', 'u', 'u.id = i.user_id');

        $this->select('t.description', 'description');
        $this->join('activity_types', 't', 't.id = i.type_id');

        if (!$this->order_by){
            $this->orderBy('date_pub', 'desc');
        }

        return $this->get('activity', function($item, $model){

            $item['user'] = array(
                'id' => $item['user_id'],
                'nickname' => $item['user_nickname'],
                'avatar' => $item['user_avatar']
            );

            if (!empty($item['subject_url'])){
                $link = '<a href="'.$item['subject_url'].'">'. $item['subject_title'].'</a>';
                $item['description'] = sprintf($item['description'], $link);
            }

            $item['date_diff'] = string_date_age_max($item['date_pub'], true);

            return $item;

        });

    }

}
