<?php

class actionAdminUsersAjax extends cmsAction {

    public function run($group_id=false){

        if (!$this->request->isAjax()) { cmsCore::error404(); }

        $grid = $this->loadDataGrid('users');

        $users_model = cmsCore::getModel('users');

        $users_model->setPerPage(admin::perpage);

        $filter     = array();
        $filter_str = $this->request->get('filter');

        if ($filter_str){
            parse_str($filter_str, $filter);
            $users_model->applyGridFilter($grid, $filter);
        }

        if ($group_id){
            $users_model->filterGroup($group_id);
        }

        $total = $users_model->getUsersCount();
        $pages = ceil($total / admin::perpage);
        $users = $users_model->getUsers();

        cmsTemplate::getInstance()->renderGridRowsJSON($grid, $users, $total, $pages);

        $this->halt();

    }

}
