<?php

class actionContentCategoryDelete extends cmsAction {

    public function run(){

        // Получаем название типа контента и сам тип
        $ctype_name = $this->request->get('ctype_name');
        $ctype = $this->model->getContentTypeByName($ctype_name);
        if (!$ctype) { cmsCore::error404(); }

        // проверяем поддержку категорий
        if (!$ctype['is_cats']){ cmsCore::error404(); }

        // проверяем наличие доступа
        if (!cmsUser::isAllowed($ctype['name'], 'delete_cat')) { cmsCore::error404(); }

        $id = $this->request->get('id');
        if (!$id) { cmsCore::error404(); }

        $category = $this->model->getCategory($ctype_name, $id);

        $parent = $category['path'][ sizeof($category['path']) - 2 ];

        $this->model->deleteCategory($ctype_name, $id);

        $this->redirectTo($ctype_name, $parent['slug']);

    }

}
