<?php

class actionUsersProfile extends cmsAction {

    public function run($profile){

        $user = cmsUser::getInstance();

        // Получаем поля
        $content_model = cmsCore::getModel('content');
        $content_model->setTablePrefix('');
        $content_model->orderBy('ordering');
        $fields = $content_model->getContentFields('users');

        $profile = cmsEventsManager::hook('users_profile_view', $profile);

        // Друзья
        $is_friends_on = $this->controller->options['is_friends_on'];
        $friends = $is_friends_on ? $this->model->getFriends($profile['id']) : false;

        return cmsTemplate::getInstance()->render('profile_view', array(
            'profile' => $profile,
            'user' => $user,
            'is_own_profile' => $user->id == $profile['id'],
            'is_friends_on' => $is_friends_on,
            'is_friend_profile' => $user->isFriend($profile['id']),
            'is_friend_req' => $is_friends_on ? $this->model->isFriendshipRequested($user->id, $profile['id']) : false,
            'fields' => $fields,
            'friends' => $friends,
        ));

    }

}
