<?php

class actionUsersProfileContent extends cmsAction {

    public function run($profile, $ctype_name=false){

        if (!$ctype_name) { cmsCore::error404(); }

        $user = cmsUser::getInstance();

        $content_controller = cmsCore::getController('content', $this->request);

        $ctype = $content_controller->model->getContentTypeByName($ctype_name);
        if (!$ctype) { cmsCore::error404(); }

        $content_controller->model->filterEqual('user_id', $profile['id']);

        $page_url = href_to($this->name, $profile['id'], array('content', $ctype_name));

        if ($user->id != $profile['id'] && !$user->is_admin){
            $content_controller->model->filterHiddenParents();
        }

        $html = $content_controller->renderItemsList($ctype, $page_url);

        return cmsTemplate::getInstance()->render('profile_content', array(
            'user' => $user,
            'profile' => $profile,
            'ctype' => $ctype,
            'html' => $html
        ));

    }

}
