<form id="datagrid_filter">
    <?php if ($options['is_pagination']) { ?>
    <input type="hidden" name="page" value="1" />
    <?php } ?>
    <input type="hidden" name="order_by" value="<?php echo $options['order_by']; ?>" />
    <input type="hidden" name="order_to" value="<?php echo $options['order_to']; ?>" />
    <?php foreach($columns as $name=>$column){ ?>
        <?php if (isset($column['filter'])){ ?>
            <?php echo html_input('hidden', $name); ?>
        <?php } ?>
    <?php } ?>
</form>

<form id="datagrid_form" action="" method="post">
</form>

<div class="cp_toolbar">
    <?php $this->toolbar(); ?>
</div>

<div class="datagrid_wrapper">
    <table id="datagrid" class="datagrid" cellpadding="0" cellspacing="0" border="0">
        <thead>
            <tr>
                <?php foreach($columns as $name=>$column){ ?>
                    <?php if ($name=='id' && !$options['show_id']){ continue; } ?>
                    <th <?php if (isset($column['width'])){ ?>width="<?php echo $column['width']; ?>"<?php } ?> rel="<?php echo $name; ?>" <?php if($options['is_sortable']){ ?>class="sortable"<?php } ?>>
                        <?php echo $column['title']; ?>
                    </th>
                <?php } ?>
                <?php if ($actions) { ?>
                    <th width="<?php echo (sizeof($actions) * 25); ?>" class="center">
                        <?php echo LANG_CP_ACTIONS; ?>
                    </th>
                <?php } ?>
            </tr>
        </thead>
        <tbody>
            <?php if ($options['is_filter']){ ?>
            <tr class="filter">
                <?php foreach($columns as $name=>$column){ ?>
                    <td>
                        <?php if (isset($column['filter']) && $column['filter'] != 'none' && $column['filter'] != false){ ?>
                            <?php echo html_input('text', 'filter_'.$name, '', array('id'=>'filter_'.$name, 'rel'=>$name)); ?>
                        <?php } ?>
                    </td>
                <?php } ?>
                <?php if ($actions) { ?>
                    <td>
                        &nbsp;
                    </td>
                <?php } ?>
            </tr>
            <?php } ?>
        </tbody>
    </table>
</div>

<div class="datagrid_pagination"></div>

<div class="datagrid_loading">
    <div class="indicator"><?php echo LANG_LOADING; ?></div>
</div>

<script type="text/javascript">

    <?php echo $this->getLangJS('LANG_LIST_EMPTY'); ?>

    setDataGridOptions({
        url: '<?php echo $source_url; ?>',
        pages_count: 0,
        show_id: <?php echo intval($options['show_id']); ?>,
        is_sortable: <?php echo intval($options['is_sortable']); ?>,
        is_filter: <?php echo intval($options['is_filter']); ?>,
        is_draggable: <?php echo intval($options['is_draggable']); ?>,
        is_actions: <?php echo intval($options['is_actions']); ?>,
        is_pagination: <?php echo intval($options['is_pagination']); ?>,
        order_by: '<?php echo $options['order_by']; ?>',
        order_to: '<?php echo $options['order_to']; ?>'
    });
    
    <?php if ($options['is_auto_init']){ ?>
        initDataGrid();
    <?php } ?>
        
</script>
