<?php
    $this->addJS('templates/default/js/jquery-ui.js');
    $this->addJS('templates/default/js/jquery-cookie.js');
    $this->addJS('templates/default/js/datatree.js');
    $this->addCSS('templates/default/css/datatree.css');
?>

<?php
    $this->setPageTitle(LANG_CP_SECTION_MENU);

    $this->addPathway(LANG_CP_SECTION_MENU, $this->href_to('menu'));

    $this->addToolButton(array(
        'class' => 'add',
        'title' => LANG_CP_MENU_ITEM_ADD,
        'href'  => $this->href_to('menu', array('item_add', 1, 0))
    ));
    $this->addToolButton(array(
        'class' => 'save',
        'title' => LANG_SAVE,
        'href'  => null,
        'onclick' => "dataGridSubmit('{$this->href_to('menu', array('items_reorder'))}')"
    ));
?>

<h1><?php echo LANG_CP_SECTION_MENU; ?></h1>

<table class="layout">
    <tr>
        <td class="sidebar" valign="top">

            <div id="datatree">
                <ul id="treeData" style="display: none">
                    <?php foreach($menus as $id=>$menu){ ?>
                        <li id="<?php echo $menu['id'];?>.0" class="lazy folder"><?php echo $menu['title']; ?></li>
                    <?php } ?>
                </ul>
            </div>

            <script type="text/javascript">
                    $(function(){
                        $("#datatree").dynatree({

                            onPostInit: function(isReloading, isError){
                                var path = $.cookie('icms[menu_tree_path]');
                                if (!path) { path = '/1.0'; }
                                $("#datatree").dynatree("getTree").loadKeyPath(path, function(node, status){
                                    if(status == "loaded") {
                                        node.expand();
                                    }else if(status == "ok") {
                                        node.activate();
                                        node.expand();
                                        initDataGrid();
                                    }
                                });
                            },

                            onActivate: function(node){
                                node.expand();
                                $.cookie('icms[menu_tree_path]', node.getKeyPath(), {expires: 7, path: '/'});
                                var key = node.data.key.split('.');
                                grid_options.url = "<?php echo $this->href_to('menu', array('items_ajax')); ?>/" + key[0] + "/" + key[1];
                                $('.cp_toolbar .add a').attr('href', "<?php echo $this->href_to('menu', array('item_add')); ?>/" + key[0] + "/" + key[1]);
                                loadGridRows();
                            },

                            onLazyRead: function(node){
                                node.appendAjax({
                                    url: "<?php echo $this->href_to('menu', array('tree_ajax')); ?>",
                                    data: {
                                        id: node.data.key
                                    }
                                });
                            }

                        });
                    });
            </script>

        </td>
        <td class="main" valign="top">

            <?php $this->renderGrid($this->href_to('menu', array('items_ajax', 1, 0)), $grid); ?>

            <div class="buttons">
                <?php echo html_button(LANG_SAVE, 'save_button', "dataGridSubmit('{$this->href_to('menu', array('items_reorder'))}')"); ?>
            </div>

        </td>
    </tr>
</table>

