<?php

    $this->setPageTitle($item['title']);

    if (!empty($item['seo_keys'])){
        $this->setPageKeywords($item['seo_keys']);
    }
    if (!empty($item['seo_desc'])){
        $this->setPageDescription($item['seo_desc']);
    }

    $base_url = $ctype['name'];

    if ($ctype['options']['list_on']){
        $this->addPathway($ctype['title'], href_to($base_url));
    }

    if (isset($item['category'])){
        foreach($item['category']['path'] as $c){
            $this->addPathway($c['title'], href_to($base_url, $c['slug']));
        }
    }

    $this->addPathway($item['title']);

    $user = cmsUser::getInstance();

    if (cmsUser::isAllowed($ctype['name'], 'edit', 'all') ||
       (cmsUser::isAllowed($ctype['name'], 'edit', 'own') && $item['user_id'] == $user->id)){
        $this->addToolButton(array(
            'class' => 'edit',
            'title' => sprintf(LANG_CONTENT_EDIT_ITEM, $ctype['labels']['create']),
            'href'  => href_to($ctype['name'], 'edit', $item['id'])
        ));
   }

    if (cmsUser::isAllowed($ctype['name'], 'edit', 'all') ||
       (cmsUser::isAllowed($ctype['name'], 'edit', 'own') && $item['user_id'] == $user->id)){
        $this->addToolButton(array(
            'class' => 'delete',
            'title' => sprintf(LANG_CONTENT_DELETE_ITEM, $ctype['labels']['create']),
            'href'  => href_to($ctype['name'], 'delete', $item['id']),
            'onclick' => "if(!confirm('".sprintf(LANG_CONTENT_DELETE_ITEM_CONFIRM, $ctype['labels']['create'])."')){ return false; }"
        ));
   }

?>

<?php

    $this->renderContentItem($ctype['name'], array(
        'item' => $item,
        'ctype' => $ctype,
        'fields' => $fields
    ));

?>

<?php if ($ctype['is_comments']){ ?>
    <?php echo $item['comments_widget']; ?>
<?php } ?>
