$(document).ready(function(){

    $('#comments_widget #is_track').click(function(){
        comments_toggle_track(this);
    });

    var anchor = window.location.hash;
    if (!anchor) {return false;}

    var find_id = anchor.match(/comment_([0-9]+)/);
    if (!find_id) {return false;}

    comment_show(find_id[1]);

});

function comment_add(parent_id){

    var form = $('#comments_add_form');

    if (typeof(parent_id) == 'undefined'){parent_id = 0;}

    $('#comments_widget #comments_add_link').show();
    $('#comments_widget #comments_list .links .reply').show();
    $('#comments_widget #comments_list .links .edit').show();

    if (parent_id == 0){

        $('#comments_widget #comments_add_link').hide();
        form.detach().appendTo('#comments_widget');

    } else {

        $('#comments_widget #comments_list #comment_'+parent_id+' .links .reply').hide();
        form.detach().appendTo('#comments_widget #comments_list #comment_'+parent_id);

    }

    form.show();

    $('input[name=parent_id]', form).val(parent_id);
    $('input[name=id]', form).val('');
    $('input[name=action]', form).val('add');
    $('input[name=submit]', form).val( LANG_SEND );

    $('textarea', form).val('').focus();

    return false;

}

function comment_submit(action){

    var form = $('#comments_add_form form');

    var content = $('textarea', form).val();

    if (!content) {return;}

    var form_data = formToJSON( form );
    var url = form.attr('action');

    $('.loading', form).show();
    $('.buttons', form).hide();
    $('textarea', form).attr('disabled', 'disabled');

    if (action) {form_data.action = action;}

    $.post(url, form_data, function(result){

        if (form_data.action=='add') {comment_result(result);}
        if (form_data.action=='preview') {comment_result_preview(result);}
        if (form_data.action=='update') {comment_result_update(result);}

    }, "json");

}

function comment_preview(){

    var form = $('#comments_add_form');
    $('.preview_box', form).hide();

    var content = $('textarea', form).val();

    if (!content) {return;}

    comment_submit('preview');

}

function comment_result_preview(result){

    if (result == null || typeof(result) == 'undefined' || result.error){
        comment_error(result.message);
        return;
    }

    var form = $('#comments_add_form');

     $('.preview_box', form).html( result.html ).slideDown();

     restore_form(false);

}

function comments_refresh(clear_selection){

    if (typeof(clear_selection) == 'undefined'){
        clear_selection = true;
    }

    if (clear_selection){
        $('#comments_widget .comment').removeClass('selected-comment');
    }

    $('#comments_widget .refresh_btn').hide();

    var form = $('#comments_add_form form');

    var form_data = {
        timestamp: $('input[name=timestamp]', form).val(),
        tc: $('input[name=tc]', form).val(),
        ts: $('input[name=ts]', form).val(),
        ti: $('input[name=ti]', form).val()
    }

    var url = $('#comments_urls').data('refresh-url');

    $.post(url, form_data, function(result){

        if (result == null || typeof(result) == 'undefined' || result.error){
            comment_error(result.message);
            return;
        }

        if (result.total){
            for (var comment_index in result.comments){
                var comment = result.comments[ comment_index ];
                comment_append( comment );
                $('#comment_'+comment.id).addClass('selected-comment');
                $('input[name=timestamp]', form).val(comment.timestamp);
            }
        }

        if (result.exists <= 0){
            $('#comments_widget .refresh_btn').show();
            commments_show_first_selected();
            return;
        }

        comments_refresh(false);

    }, "json");

}

function comment_append(comment){

    $('#comments_widget #comments_list .no_comments').remove();

    if (comment.parent_id == 0){

        $('#comments_widget #comments_list').append( comment.html );

    }

    if (comment.parent_id > 0){

        var p = $('#comment_'+comment.parent_id);
        var next_id = false;
        var stop_search = false;

        p.nextAll('.comment').each(function(){
            if (stop_search) {return;}
            if ( $(this).data('level') <= p.data('level') ){ next_id = $(this).attr('id'); stop_search = true;}
        });

        if (!next_id){
            $('#comments_widget #comments_list').append( comment.html );
        } else {
            $('#'+next_id).before( comment.html );
        }

    }

}

function comment_result(result){

    if (result == null || typeof(result) == 'undefined' || result.error){
        comment_error(result.message);
        return;
    }

    comment_append(result);

    restore_form();

    comment_show(result.id);

}

function comment_result_update(result){

    if (result == null || typeof(result) == 'undefined' || result.error){
        comment_error(result.message);
        return;
    }

    $('#comments_list #comment_'+result.id+' .text').html( result.html );

    restore_form();

    comment_show(result.id);

}

function comment_show(id){

    $('#comments_widget .comment').removeClass('selected-comment');
    var c = $('#comment_'+id);
    c.addClass('selected-comment');
    $.scrollTo( c, 500, {offset: {left:0, top:-10}} );
    return false;

}

function commments_show_first_selected(){

    if (!$('.selected-comment').length) { return false; }

    var c = $('.selected-comment').eq(0);
    $.scrollTo( c, 500, {offset: {left:0, top:-10}} );
    return false;

}

function comment_up(to_id, from_id){

    var c = $('#comment_'+to_id);

    $('#comments_widget .scroll-down').hide();
    $('.nav .scroll-down', c).show().data('child-id', from_id);

    comment_show(to_id);

}

function comment_down(link){

    var to_id = $(link).data('child-id');
    $(link).hide();

    comment_show(to_id);

}

function comment_error(message){
    alert(message);
    restore_form(false);
}

function restore_form(clear_text){

    if (typeof(clear_text)=='undefined'){clear_text = true;}

    var form = $('#comments_add_form');

    $('.loading', form).hide();
    $('.buttons', form).show();
    $('textarea', form).removeAttr('disabled');

    if (clear_text) {
        form.hide();
        $('textarea', form).val('');
        $('#comments_widget #comments_add_link').show();
        $('#comments_widget #comments_list .links .edit').show();
        $('#comments_widget #comments_list .links .reply').show();
        $('.preview_box', form).html('').hide();
    }

}

function comment_edit(id){

    var form = $('#comments_add_form');

    $('#comments_widget #comments_add_link').show();
    $('#comments_widget #comments_list .links .reply').show();
    $('#comments_widget #comments_list .links .edit').show();

    $('#comments_widget #comments_list #comment_'+id+' .links .edit').hide();

    form.detach().appendTo('#comments_widget #comments_list #comment_'+id).show();

    $('input[name=id]', form).val(id);
    $('input[name=action]', form).val('update');
    $('input[name=submit]', form).val( LANG_SAVE );

    $('.loading', form).show();
    $('.buttons', form).hide();
    $('textarea', form).attr('disabled', 'disabled');

    var url = $('#comments_urls').data('get-url');

    $.post(url, {id: id}, function(result){

        if (result == null || typeof(result) == 'undefined' || result.error){
            comment_error(result.message);
            return;
        }

        restore_form(false);

        $('textarea', form).val(result.html).focus();

    }, "json");

    return false;

}

function comment_delete(id){

    var c = $('#comments_list #comment_'+id);

    var username = $('.name .user', c).html();

    if (!confirm(LANG_COMMENT_DELETE_CONFIRM.replace('%s', username))){return false;}

    var url = $('#comments_urls').data('delete-url');

    $.post(url, {id: id}, function(result){

        if (result == null || typeof(result) == 'undefined' || result.error){
            comment_error(result.message);
            return;
        }

        c.html('<span class="deleted">'+LANG_COMMENT_DELETED+'</span>');

        restore_form();

    }, "json");

}

function comments_toggle_track(checkbox){

    var is_track = checkbox.checked;

    $(checkbox).attr('disabled', 'disabled');

    var form = $('#comments_add_form form');

    var form_data = {
        tc: $('input[name=tc]', form).val(),
        ts: $('input[name=ts]', form).val(),
        ti: $('input[name=ti]', form).val(),
        is_track: Number(is_track)
    }

    var url = $('#comments_urls').data('track-url');

    $.post(url, form_data, function(result){

        $(checkbox).removeAttr('disabled');

        if (result.error){
            $(checkbox).attr('checked', !is_track);
            return;
        }

    }, "json");

}
