var pmcfg_contact_id = null;
var pmcfg_is_refresh = false;
var pmcfg_refresh_interval = 15000;

function pm_select_contact(id){

    var pm_window = $('#pm_window');
    var contact = $('#contact-' + id, pm_window);

    $('.messages .counter').remove();

    $('.contacts a', pm_window).removeClass('selected');

    $('a', contact).addClass('selected');

    $('.left-panel', pm_window).html('').removeClass('loading-panel').addClass('loading-panel');

    var url = pm_window.data('contact-url');
    var form_data = {contact_id: id};

    modalSetCallback('close', function(){
        pmcfg_is_refresh = false;
    });

    $.post(url, form_data, function(result){

        $('.left-panel', pm_window).html( result ).removeClass('loading-panel');

        $('.left-panel textarea', pm_window).focus();

        pm_contact_counter(id, 0);

        pm_scroll_chat();

        $('#pm_window .composer textarea').on('keydown', function(event){
            if (event.keyCode === 10 || event.keyCode == 13 && event.ctrlKey) {
                pm_send();
            }
        });

        pmcfg_contact_id = id;

        if(!pmcfg_is_refresh) {
            pmcfg_is_refresh = true;
            setTimeout('pm_refresh()', pmcfg_refresh_interval);
        }

    }, "html");

}

function pm_scroll_chat(){
    var chat = document.getElementById("pm_chat");
    chat.scrollTop = chat.scrollHeight;
}

function pm_send(){

    var form = $('#pm_contact .composer form');

    var content = $('textarea', form).val();

    if (!content) {return;}

    var form_data = formToJSON( form );
    var url = form.attr('action');

    $('.buttons', form).addClass('sending').find('.button').hide();
    $('textarea', form).attr('disabled', 'disabled');

    $.post(url, form_data, function(result){

        $('.buttons', form).removeClass('sending').find('.button').show();
        $('textarea', form).removeAttr('disabled');

        if (!result.error){
            $('textarea', form).val('');
            pm_add_message(result);
        } else {
            if (result.message.length){
                alert(result.message);
            }
        }

    }, "json");

}

function pm_add_message(result){

    if (result.error){
        alert(result.message);
        return;
    }

    $('#pm_contact .chat').append(result.message);
    pm_scroll_chat();

}

function pm_contact_counter(id, value){

    var contact = $('#pm_window #contact-' + id);

    $('.counter', contact).remove();

    if (value > 0){

        var html = '<span class="counter">' + value + '</span>';
        $('a', contact).append(html);

    }

}

function pm_refresh(){

    if (!pmcfg_is_refresh) {return false;}

    var pm_window = $('#pm_window:visible');

    if (!pm_window){ return false; }

    var form = $('.composer form', pm_window);

    var url = pm_window.data('refresh-url');

    $('.buttons', form).addClass('sending');

    $.post(url, {contact_id: pmcfg_contact_id}, function(result){

        $('.buttons', form).removeClass('sending');

        if (result.error) {
            pmcfg_is_refresh = false;
            return false;
        }

        if (result.html){
            $('#pm_chat', pm_window).append(result.html);
            pm_scroll_chat();
        }

        setTimeout('pm_refresh()', pmcfg_refresh_interval);

    }, "json");

    return true;

}

function pm_delete_contact(id){

    if (!confirm(LANG_PM_DELETE_CONTACT_CONFIRM)) {return false;}

    var pm_window = $('#pm_window');
    $('.left-panel', pm_window).html('').removeClass('loading-panel').addClass('loading-panel');

    var url = pm_window.data('delete-url');
    var form_data = {contact_id: id};

    $.post(url, form_data, function(result) {

        if (result.error) {return false;}

        $('#contact-' + id, pm_window).remove();

        if (result.count > 0){
            var next_id = $('.contact', pm_window).eq(0).attr('rel');
            pm_select_contact(next_id);
        } else {
            modalClose();
        }

    }, "json");

    return true;

}

function pm_ignore_contact(id){

    if (!confirm(LANG_PM_IGNORE_CONTACT_CONFIRM)) {return false;}

    var pm_window = $('#pm_window');
    $('.left-panel', pm_window).html('').removeClass('loading-panel').addClass('loading-panel');

    var url = pm_window.data('ignore-url');
    var form_data = {contact_id: id};

    $.post(url, form_data, function(result) {

        if (result.error) {return false;}

        $('#contact-' + id, pm_window).remove();

        if (result.count > 0){
            var next_id = $('.contact', pm_window).eq(0).attr('rel');
            pm_select_contact(next_id);
        } else {
            modalClose();
        }

    }, "json");

    return true;

}

function pm_forgive_contact(id){

    var pm_window = $('#pm_window');

    var url = pm_window.data('forgive-url');
    var form_data = {contact_id: id};

    $.post(url, form_data, function(result) {

        if (result.error) {return false;}

        pm_select_contact(id);

    }, "json");

    return true;

}

function pm_show_older(contact_id, link_obj){

    var pm_window = $('#pm_window');
    var pm_chat = $('#pm_chat', pm_window);

    var url = pm_window.data('show-older-url');

    var message_id = $(link_obj).attr('rel');

    var form_data = {
        contact_id: contact_id,
        message_id: message_id
    };

    $('.show-older', pm_chat).hide();
    $('.older-loading', pm_chat).show();

    $.post(url, form_data, function(result) {

        $('.older-loading', pm_chat).hide();

        if (result.error) {return false;}

        if (result.html){

            $('.show-older', pm_chat).after( result.html );

            var msg_top = $('#message-'+message_id, pm_chat).position().top;

            pm_chat.scrollTop(pm_chat.scrollTop() + msg_top);

        }

        if (result.has_older){
            $('.show-older', pm_chat).attr('rel', result.older_id).show();
        }

    }, "json");

    return true;

}

function pm_notice_action(id, name){

    var pm_notices_window = $('#pm_notices_window');

    var url = pm_notices_window.data('action-url');

    var form_data = {
        notice_id: id,
        action_name: name
    };

    $.post(url, form_data, function(result) {

        if (result.error) {
            return false;
        }

        if (result.href){
            window.location.href = result.href;
        }

        $('#notice-'+id, pm_notices_window).fadeOut(300, function(){
            $(this).remove();
            var count = $('.item', pm_notices_window).length;
            pm_notices_counter(count);
            if (count==0){ modalClose(); } else { modalResize(); }
        });

    }, "json");

    return true;

}

function pm_notices_counter(value){

    var button = $('li.notices-counter');

    $('.counter', button).remove();

    if (value > 0){

        var html = '<span class="counter">' + value + '</span>';
        $('a', button).append(html);

    }

}