$(document).ready(function(){
   modalBind('a.ajax-modal');
   modalBind('.ajax-modal a');
});



function toggleFilter(){
    var filter = $('.filter-panel');
    $('.filter-link', filter).slideToggle();
    $('.filter-container', filter).slideToggle();
}

function modalBind(selector){
    $(selector).nyroModal();
}

function modalOpenAjax(url){
    $.nmManual(url, {autoSizable: true});
}

function modalClose(){
    $.nmTop().close();
}

function modalSetCallback(event, callback){
    switch(event){
        case 'close':
            $.nmTop().callbacks.beforeClose = callback; break;
    }
}

function modalResize(){
    $.nmTop().resize(true);
}

function formToJSON( form ){
    var o = {};
    var a = form.serializeArray();
    $.each(a, function() {
        if (o[this.name] !== undefined) {
            if (!o[this.name].push) {
                o[this.name] = [o[this.name]];
            }
            o[this.name].push(this.value || '');
        } else {
            o[this.name] = this.value || '';
        }
    });
    return o;
};

function goBack(){
    window.history.go(-1);
}

function submitForm(){
    $('input:submit').trigger('click');
}

function submitFormAjax(form){

    var form_data = formToJSON($(form));

    var url = $(form).attr('action');

    $.post(url, form_data, function(result){

        if (result.errors == false){
            if ("callback" in result){
                window[result.callback](form_data);
            }
            return;
        }

        if (typeof(result.errors)=='object'){

            $('.field_error', form).removeClass('field_error');
            $('.error_text', form).remove();

            for(var field_id in result.errors){
                var id = field_id.replace(':', '_');
                $('#f_'+id, form).addClass('field_error');
                $('#f_'+id, form).prepend('<div class="error_text">' + result.errors[field_id] + '</div>');
            }

            modalResize();

            return;

        }

    }, 'json');

}
