<?php
    $config = cmsConfig::getInstance();
    $core = cmsCore::getInstance();
?>
<!DOCTYPE html>
<html>
<head>
	<title><?php $this->title(); ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link type="text/css" rel="stylesheet" href="<?php echo $config->root; ?>templates/<?php echo $this->name; ?>/css/styles.css">
    <link type="text/css" rel="stylesheet" href="<?php echo $config->root; ?>templates/<?php echo $this->name; ?>/css/modal.css">
	<script type="text/javascript" src="<?php echo $config->root; ?>templates/<?php echo $this->name; ?>/js/jquery.js"></script>
	<script type="text/javascript" src="<?php echo $config->root; ?>templates/<?php echo $this->name; ?>/js/jquery-modal.js"></script>
	<script type="text/javascript" src="<?php echo $config->root; ?>templates/<?php echo $this->name; ?>/js/template.js"></script>
	<script type="text/javascript" src="<?php echo $config->root; ?>templates/<?php echo $this->name; ?>/js/messages.js"></script>
    <?php $this->head(); ?>
</head>
<body>

    <?php
        $is_sidebar = $this->hasWidgetsOn('right-top', 'right-center', 'right-bottom');
        $mainbar_width = $is_sidebar ? '705px' : '100%';
    ?>

    <div id="wrapper">

        <div id="header">
            <div class="container">
                <a id="logo" href="<?php echo $config->root; ?>"></a>
                <?php $this->widgets('top', false, 'wrapper_plain'); ?>
            </div>
        </div>

        <div id="pathway">
            <div class="container">
                <?php $this->pathway(array('strip_last'=>false)); ?>
            </div>
        </div>

        <div id="body">
            <div class="container">

                <!-- Сообщения сессии -->
                <?php
                    $messages = cmsUser::getSessionMessages();
                    if ($messages){
                        ?>
                        <div class="sess_messages">
                            <?php
                                foreach($messages as $message){
                                    echo $message;
                                }
                            ?>
                        </div>
                        <?php
                    }
                ?>

                <div class="mainbar" style="width:<?php echo $mainbar_width; ?>">

                    <?php $this->widgets('left-top'); ?>

                    <?php if ($this->isBody()){ ?>
                        <div class="page-body">
                            <?php $this->body(); ?>
                        </div>
                    <?php } ?>

                    <?php $this->widgets('left-bottom'); ?>

                </div>

                <div class="sidebar">

                    <?php $this->widgets('right-top'); ?>

                    <?php $this->widgets('right-center'); ?>

                    <?php $this->widgets('right-bottom'); ?>

                </div>

                <?php if ($config->debug){ ?>
                    <div id="sql_debug">
                        <div id="sql_queries">
                            <?php foreach($core->db->query_list as $sql) { ?>
                                <div class="query">
                                    <div class="src"><?php echo $sql['src']; ?></div>
                                    <?php echo nl2br($sql['sql']); ?>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                <?php } ?>

            </div>
            <div class="pad"></div>
        </div>

    </div>

    <div id="footer">
        <div class="container">
            <div id="copyright">
                <a href="http://www.instantsoft.ru">InstantSoft</a> &copy; 2013
                <?php if ($config->debug){ ?>
					<span class="debug">
                        SQL: <a href="#sql_debug" class="ajax-modal" title="SQL"><?php echo html_spellcount($core->db->query_count, 'query|queries|queries'); ?></a>
                    </span>
                    <span class="debug">
                        Cache: <?php echo html_spellcount(cmsCache::getInstance()->query_count, 'query|queries|queries'); ?></a>
                    </span>
                    <span class="debug">
                        Mem: <?php echo round(memory_get_usage()/1024/1024, 2); ?> Mb
                    </span>
				<?php } ?>
            </div>
            <?php $this->widgets('footer', false, 'wrapper_plain'); ?>
        </div>
    </div>

</body>
</html>
